LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XIdlClassProvider Interface Referencepublished

Deprecated interface. More...

`import"XIdlClassProvider.idl";`

Inheritance diagram for XIdlClassProvider:

## Public Member Functions
sequence< com::sun::star::reflection::XIdlClass > | getIdlClasses ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated interface.

Do not use anymore.

Deprecated:

## Member Function Documentation

## ◆ getIdlClasses()

sequence< com::sun::star::reflection::XIdlClass > getIdlClasses | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XIdlClassProvider.idl